Package org.eclipse.mat.ui.util

## Enum PaneState.PaneType

- java.lang.Object
- - java.lang.Enum<PaneState.PaneType>
  - - org.eclipse.mat.ui.util.PaneState.PaneType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PaneState.PaneType>`

Enclosing class:
  PaneState

    public static enum PaneState.PaneType
    extends java.lang.Enum<PaneState.PaneType>

### Enum Constant Summary

Enum Constants
`COMPOSITE_CHILD`
`COMPOSITE_PARENT`
`EDITOR`
`QUERY`

### Method Summary

All Methods Static Methods Concrete Methods
`static PaneState.PaneType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PaneState.PaneType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### QUERY

    public static final PaneState.PaneType QUERY

#### EDITOR

    public static final PaneState.PaneType EDITOR

#### COMPOSITE_PARENT

    public static final PaneState.PaneType COMPOSITE_PARENT

#### COMPOSITE_CHILD

    public static final PaneState.PaneType COMPOSITE_CHILD

### Method Detail

#### values

    public static PaneState.PaneType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PaneState.PaneType c : PaneState.PaneType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PaneState.PaneType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null